> For the complete documentation index, see [llms.txt](https://help.orderdesk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.orderdesk.com/api-documentation/getting-started/rate-limits.md).

# Rate Limits

To maintain app stability and protect the fair access of all users, our API enforces rate limiting. This prevents any one customer from overwhelming the system with excessive requests in a short period.

### How It Works

We use a leaky bucket algorithm:

* Initial bucket size: 20 requests
* Refill rate: 3 requests per second
* This results in approximately 100 requests available over a rolling 30 second window

Each request consumes one token from your bucket. The bucket is automatically replenished at the specified rate. You can check the remaining tokens at any time by inspecting the `X-Tokens-Remaining` response header.

| Header               | Meaning                                      |
| -------------------- | -------------------------------------------- |
| `X-Tokens-Remaining` | Number of request tokens currently available |
| `X-Retry-After`      | Seconds to wait before requests can resume   |

When `X-Retry-After` is greater than zero, pause requests for the specified number of seconds.

### Burst Protection

If you attempt to send significantly more requests than your bucket allows, additional protections will kick in. In these cases, all requests may be temporarily blocked.

```http
HTTP/1.1 429 Too Many Requests
Content-Type: application/json
X-Tokens-Remaining: 0
X-Retry-After: 8

{
  "status": "error",
  "message": "API Rate Limit Exceeded"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.orderdesk.com/api-documentation/getting-started/rate-limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
